Static Public Attributes

# BinNavi.API.database.TableNames Class Reference

Holds the names for all available BinNavi tables. More...

List of all members.

## Static Public Attributes
static final String | ADDRESS_REFERENCES_TABLE = CTableNames.ADDRESS_REFERENCES_TABLE
static final String | ADDRESS_SPACES_TABLE = CTableNames.ADDRESS_SPACES_TABLE
static final String | CODE_NODES_TABLE = CTableNames.CODE_NODES_TABLE
static final String | CODENODE_INSTRUCTIONS_TABLE = CTableNames.CODENODE_INSTRUCTIONS_TABLE
static final String | DATA_PARTS_TABLE = CTableNames.DATA_PARTS_TABLE
| Data parts table.
static final String | DEBUGGERS_TABLE = CTableNames.DEBUGGERS_TABLE
static final String | EDGE_PATHS_TABLE = CTableNames.EDGE_PATHS_TABLE
static final String | EDGES_TABLE = CTableNames.EDGES_TABLE
static final String | EXPRESSION_SUBSTITUTIONS_TABLE = CTableNames.EXPRESSION_SUBSTITUTIONS_TABLE
static final String | EXPRESSION_TREE_IDS_TABLE = CTableNames.EXPRESSION_TREE_IDS_TABLE
static final String | EXPRESSION_TREE_MAPPING_TABLE = CTableNames.EXPRESSION_TREE_MAPPING_TABLE
static final String | EXPRESSION_TREE_TABLE = CTableNames.EXPRESSION_TREE_TABLE
static final String | FUNCTION_NODES_TABLE = CTableNames.FUNCTION_NODES_TABLE
static final String | FUNCTION_VIEWS_TABLE = CTableNames.FUNCTION_VIEWS_TABLE
static final String | FUNCTIONS_TABLE = CTableNames.FUNCTIONS_TABLE
static final String | GLOBAL_EDGE_COMMENTS_TABLE = CTableNames.GLOBAL_EDGE_COMMENTS_TABLE
static final String | GLOBAL_NODE_COMMENTS_TABLE = CTableNames.GLOBAL_NODE_COMMENTS_TABLE
static final String | GROUP_NODES_TABLE = CTableNames.GROUP_NODES_TABLE
static final String | INSTRUCTIONS_TABLE = CTableNames.INSTRUCTIONS_TABLE
static final String | MODULE_SETTINGS_TABLE = CTableNames.MODULE_SETTINGS_TABLE
static final String | MODULE_TRACES_TABLE = CTableNames.MODULE_TRACES_TABLE
static final String | MODULE_VIEWS_TABLE = CTableNames.MODULE_VIEWS_TABLE
static final String | MODULES_TABLE = CTableNames.MODULES_TABLE
static final String | NODES_TABLE = CTableNames.NODES_TABLE
static final String | OPERANDS_TABLE = CTableNames.OPERANDS_TABLE
static final String | PROJECT_DEBUGGERS_TABLE = CTableNames.PROJECT_DEBUGGERS_TABLE
static final String | PROJECT_SETTINGS_TABLE = CTableNames.PROJECT_SETTINGS_TABLE
static final String | PROJECT_TRACES_TABLE = CTableNames.PROJECT_TRACES_TABLE
static final String | PROJECT_VIEWS_TABLE = CTableNames.PROJECT_VIEWS_TABLE
static final String | PROJECTS_TABLE = CTableNames.PROJECTS_TABLE
static final String | RAW_ADDRESS_COMMENTS_TABLE = CTableNames.RAW_ADDRESS_COMMENTS_TABLE
static final String | RAW_ADDRESS_REFERENCES_TABLE = CTableNames.RAW_ADDRESS_REFERENCES_TABLE
static final String | RAW_BASIC_BLOCK_INSTRUCTIONS_TABLE = CTableNames.RAW_BASIC_BLOCK_INSTRUCTIONS_TABLE
static final String | RAW_BASIC_BLOCKS_TABLE = CTableNames.RAW_BASIC_BLOCKS_TABLE
static final String | RAW_CALLGRAPH_TABLE = CTableNames.RAW_CALLGRAPH_TABLE
static final String | RAW_CONTROL_FLOW_GRAPHS_TABLE = CTableNames.RAW_CONTROL_FLOW_GRAPHS_TABLE
static final String | RAW_EXPRESSION_NODES_TABLE = CTableNames.RAW_EXPRESSION_NODES_TABLE
static final String | RAW_EXPRESSION_SUBSTITUTIONS_TABLE = CTableNames.RAW_EXPRESSION_SUBSTITUTIONS_TABLE
static final String | RAW_EXPRESSION_TREE_NODES_TABLE = CTableNames.RAW_EXPRESSION_TREE_NODES_TABLE
static final String | RAW_EXPRESSION_TREES_TABLE = CTableNames.RAW_EXPRESSION_TREES_TABLE
static final String | RAW_FUNCTIONS_TABLE = CTableNames.RAW_FUNCTIONS_TABLE
static final String | RAW_INSTRUCTIONS_TABLE = CTableNames.RAW_INSTRUCTIONS_TABLE
static final String | RAW_MODULES_TABLE = CTableNames.RAW_MODULES_TABLE
static final String | RAW_OPERANDS_TABLE = CTableNames.RAW_OPERANDS_TABLE
static final String | RAW_SECTIONS = CTableNames.RAW_SECTIONS
static final String | RAW_TYPE_RENDERERS = CTableNames.RAW_TYPE_RENDERERS
static final String | RAW_TYPE_STRUCTS = CTableNames.RAW_TYPE_STRUCTS
static final String | RAW_TYPES = CTableNames.RAW_TYPES
static final String | SPACE_MODULES_TABLE = CTableNames.SPACE_MODULES_TABLE
static final String | TAGGED_NODES_TABLE = CTableNames.TAGGED_NODES_TABLE
static final String | TAGGED_VIEWS_TABLE = CTableNames.TAGGED_VIEWS_TABLE
static final String | TAGS_TABLE = CTableNames.TAGS_TABLE
static final String | TEXT_NODES_TABLE = CTableNames.TEXT_NODES_TABLE
static final String | TRACE_EVENT_TABLE = CTableNames.TRACE_EVENT_TABLE
static final String | TRACE_EVENT_VALUES_TABLE = CTableNames.TRACE_EVENT_VALUES_TABLE
static final String | TRACES_TABLE = CTableNames.TRACES_TABLE
static final String | VIEW_SETTINGS_TABLE = CTableNames.VIEW_SETTINGS_TABLE
static final String | VIEWS_TABLE = CTableNames.VIEWS_TABLE

## Detailed Description

Contains the names of the BinNavi tables of a BinNavi database.

## Member Data Documentation

final String BinNavi.API.database.TableNames.ADDRESS_REFERENCES_TABLE = CTableNames.ADDRESS_REFERENCES_TABLE`[static]`

Information about address references is stored here.

final String BinNavi.API.database.TableNames.ADDRESS_SPACES_TABLE = CTableNames.ADDRESS_SPACES_TABLE`[static]`

Address space information is stored here.

final String BinNavi.API.database.TableNames.CODE_NODES_TABLE = CTableNames.CODE_NODES_TABLE`[static]`

Information about code nodes is stored here.

final String BinNavi.API.database.TableNames.CODENODE_INSTRUCTIONS_TABLE = CTableNames.CODENODE_INSTRUCTIONS_TABLE`[static]`

Maps instructions to the code nodes they belong to.

final String BinNavi.API.database.TableNames.DATA_PARTS_TABLE = CTableNames.DATA_PARTS_TABLE`[static]`

Data parts table

final String BinNavi.API.database.TableNames.DEBUGGERS_TABLE = CTableNames.DEBUGGERS_TABLE`[static]`

Information about debuggers is stored here.

final String BinNavi.API.database.TableNames.EDGE_PATHS_TABLE = CTableNames.EDGE_PATHS_TABLE`[static]`

Information about edge paths is stored here.

final String BinNavi.API.database.TableNames.EDGES_TABLE = CTableNames.EDGES_TABLE`[static]`

Information about edges is stored here.

final String BinNavi.API.database.TableNames.EXPRESSION_SUBSTITUTIONS_TABLE = CTableNames.EXPRESSION_SUBSTITUTIONS_TABLE`[static]`

Expressions substitutions for operands is stored here.

final String BinNavi.API.database.TableNames.EXPRESSION_TREE_IDS_TABLE = CTableNames.EXPRESSION_TREE_IDS_TABLE`[static]`

Contains the IDs of known expression trees.

final String BinNavi.API.database.TableNames.EXPRESSION_TREE_MAPPING_TABLE = CTableNames.EXPRESSION_TREE_MAPPING_TABLE`[static]`

Maps between operands and expression trees.

final String BinNavi.API.database.TableNames.EXPRESSION_TREE_TABLE = CTableNames.EXPRESSION_TREE_TABLE`[static]`

Information about expression trees is stored here.

final String BinNavi.API.database.TableNames.FUNCTION_NODES_TABLE = CTableNames.FUNCTION_NODES_TABLE`[static]`

Information about function nodes is stored here.

final String BinNavi.API.database.TableNames.FUNCTION_VIEWS_TABLE = CTableNames.FUNCTION_VIEWS_TABLE`[static]`

Maps between native views and their backing functions.

final String BinNavi.API.database.TableNames.FUNCTIONS_TABLE = CTableNames.FUNCTIONS_TABLE`[static]`

Function information is stored here.

final String BinNavi.API.database.TableNames.GLOBAL_EDGE_COMMENTS_TABLE = CTableNames.GLOBAL_EDGE_COMMENTS_TABLE`[static]`

Global edge comments are stored here.

final String BinNavi.API.database.TableNames.GLOBAL_NODE_COMMENTS_TABLE = CTableNames.GLOBAL_NODE_COMMENTS_TABLE`[static]`

Global node comments are stored here.

final String BinNavi.API.database.TableNames.GROUP_NODES_TABLE = CTableNames.GROUP_NODES_TABLE`[static]`

Information about group nodes is stored here.

final String BinNavi.API.database.TableNames.INSTRUCTIONS_TABLE = CTableNames.INSTRUCTIONS_TABLE`[static]`

Information about instructions is stored here.

final String BinNavi.API.database.TableNames.MODULE_SETTINGS_TABLE = CTableNames.MODULE_SETTINGS_TABLE`[static]`

Module settings are stored here.

final String BinNavi.API.database.TableNames.MODULE_TRACES_TABLE = CTableNames.MODULE_TRACES_TABLE`[static]`

Module traces table

final String BinNavi.API.database.TableNames.MODULE_VIEWS_TABLE = CTableNames.MODULE_VIEWS_TABLE`[static]`

Maps views to the modules they belong to.

final String BinNavi.API.database.TableNames.MODULES_TABLE = CTableNames.MODULES_TABLE`[static]`

Module information is stored here.

final String BinNavi.API.database.TableNames.NODES_TABLE = CTableNames.NODES_TABLE`[static]`

Common node information is stored here.

final String BinNavi.API.database.TableNames.OPERANDS_TABLE = CTableNames.OPERANDS_TABLE`[static]`

Information about operands is stored here.

final String BinNavi.API.database.TableNames.PROJECT_DEBUGGERS_TABLE = CTableNames.PROJECT_DEBUGGERS_TABLE`[static]`

Debuggers assigned to a project are stored here.

final String BinNavi.API.database.TableNames.PROJECT_SETTINGS_TABLE = CTableNames.PROJECT_SETTINGS_TABLE`[static]`

Project settings are stored here.

final String BinNavi.API.database.TableNames.PROJECT_TRACES_TABLE = CTableNames.PROJECT_TRACES_TABLE`[static]`

Project traces table

final String BinNavi.API.database.TableNames.PROJECT_VIEWS_TABLE = CTableNames.PROJECT_VIEWS_TABLE`[static]`

Maps views to the projects they belong to.

final String BinNavi.API.database.TableNames.PROJECTS_TABLE = CTableNames.PROJECTS_TABLE`[static]`

Project information is stored here.

final String BinNavi.API.database.TableNames.RAW_ADDRESS_COMMENTS_TABLE = CTableNames.RAW_ADDRESS_COMMENTS_TABLE`[static]`

Raw exporter information about address comments is stored here.

final String BinNavi.API.database.TableNames.RAW_ADDRESS_REFERENCES_TABLE = CTableNames.RAW_ADDRESS_REFERENCES_TABLE`[static]`

Raw exporter information about address references is stored here.

final String BinNavi.API.database.TableNames.RAW_BASIC_BLOCK_INSTRUCTIONS_TABLE = CTableNames.RAW_BASIC_BLOCK_INSTRUCTIONS_TABLE`[static]`

Raw exporter information about basic blokc instructions is stored here.

final String BinNavi.API.database.TableNames.RAW_BASIC_BLOCKS_TABLE = CTableNames.RAW_BASIC_BLOCKS_TABLE`[static]`

Raw exporter information about basic blocks is stored here.

final String BinNavi.API.database.TableNames.RAW_CALLGRAPH_TABLE = CTableNames.RAW_CALLGRAPH_TABLE`[static]`

Raw exporter information about the callgraph is stored here.

final String BinNavi.API.database.TableNames.RAW_CONTROL_FLOW_GRAPHS_TABLE = CTableNames.RAW_CONTROL_FLOW_GRAPHS_TABLE`[static]`

Raw exporter information about control flow graphs is stored here.

final String BinNavi.API.database.TableNames.RAW_EXPRESSION_NODES_TABLE = CTableNames.RAW_EXPRESSION_NODES_TABLE`[static]`

Raw exporter information about expression nodes is stored here.

final String BinNavi.API.database.TableNames.RAW_EXPRESSION_SUBSTITUTIONS_TABLE = CTableNames.RAW_EXPRESSION_SUBSTITUTIONS_TABLE`[static]`

Raw exporter information about expression substitutions are stored here.

final String BinNavi.API.database.TableNames.RAW_EXPRESSION_TREE_NODES_TABLE = CTableNames.RAW_EXPRESSION_TREE_NODES_TABLE`[static]`

Raw exporter information about expression tree nodes is stored here.

final String BinNavi.API.database.TableNames.RAW_EXPRESSION_TREES_TABLE = CTableNames.RAW_EXPRESSION_TREES_TABLE`[static]`

Raw exporter information about expression trees is stored here.

final String BinNavi.API.database.TableNames.RAW_FUNCTIONS_TABLE = CTableNames.RAW_FUNCTIONS_TABLE`[static]`

Raw exporter information about functions is stored here.

final String BinNavi.API.database.TableNames.RAW_INSTRUCTIONS_TABLE = CTableNames.RAW_INSTRUCTIONS_TABLE`[static]`

Raw exporter information about instructions is stored here.

final String BinNavi.API.database.TableNames.RAW_MODULES_TABLE = CTableNames.RAW_MODULES_TABLE`[static]`

Information about raw modules is stored here.

final String BinNavi.API.database.TableNames.RAW_OPERANDS_TABLE = CTableNames.RAW_OPERANDS_TABLE`[static]`

Raw exporter information about operands is stored here.

final String BinNavi.API.database.TableNames.RAW_SECTIONS = CTableNames.RAW_SECTIONS`[static]`

Raw exporter information about sections are stored here.

final String BinNavi.API.database.TableNames.RAW_TYPE_RENDERERS = CTableNames.RAW_TYPE_RENDERERS`[static]`

Raw exporter information about type renderers are stored here.

final String BinNavi.API.database.TableNames.RAW_TYPE_STRUCTS = CTableNames.RAW_TYPE_STRUCTS`[static]`

Raw exporter information about type structs are stored here.

final String BinNavi.API.database.TableNames.RAW_TYPES = CTableNames.RAW_TYPES`[static]`

Raw exporter information about types is stored here.

final String BinNavi.API.database.TableNames.SPACE_MODULES_TABLE = CTableNames.SPACE_MODULES_TABLE`[static]`

Membership of modules in address spaces is stored here.

final String BinNavi.API.database.TableNames.TAGGED_NODES_TABLE = CTableNames.TAGGED_NODES_TABLE`[static]`

Information about tagged nodes is stored here.

final String BinNavi.API.database.TableNames.TAGGED_VIEWS_TABLE = CTableNames.TAGGED_VIEWS_TABLE`[static]`

Information about tagged views is stored here.

final String BinNavi.API.database.TableNames.TAGS_TABLE = CTableNames.TAGS_TABLE`[static]`

Information about tags is stored here.

final String BinNavi.API.database.TableNames.TEXT_NODES_TABLE = CTableNames.TEXT_NODES_TABLE`[static]`

Text Nodes

final String BinNavi.API.database.TableNames.TRACE_EVENT_TABLE = CTableNames.TRACE_EVENT_TABLE`[static]`

Debug events of recorded debug traces are stored here.

final String BinNavi.API.database.TableNames.TRACE_EVENT_VALUES_TABLE = CTableNames.TRACE_EVENT_VALUES_TABLE`[static]`

Register values of debug events of recorded debug traces are stored here.

final String BinNavi.API.database.TableNames.TRACES_TABLE = CTableNames.TRACES_TABLE`[static]`

Recorded debug events are stored here.

final String BinNavi.API.database.TableNames.VIEW_SETTINGS_TABLE = CTableNames.VIEW_SETTINGS_TABLE`[static]`

View settings are stored here.

final String BinNavi.API.database.TableNames.VIEWS_TABLE = CTableNames.VIEWS_TABLE`[static]`

Information about views is stored here.